Catalina et la 17.3

Bonsoir,

J’ai une base en 17.3 64-bit mais les plug-in comme “4D InternetCommands.bundle” ne veulent pas se lancer.
Comment faire ?

Merci de votre aide

Pascal Aubert

Chez moi je n’ai pas de problème après avoir installé la dernière nightly build 17.3.

J’ai même pu relancer la version officielle 17.3 build 17.240828 qui plantait hier au démarrage.

Est-ce que tu es sûr que tu utilises le plugin fourni avec la 17.3 ?

[]31991931;“Mac OS X 10.15 4D 17.3 et 4DIC…”[/]

Je viens de ré-essayer sur une machine virtuelle et cela ne fonctionne pas.
J’ai 4 plug-in (.bundle) et aucun ne peut être chargé.
La base est en compilé
J’ai la même version de 4D et la même version de Catalina.
C’est un gros problème.

Pascal Aubert

[]31992149;“Your comment here…”[/]
[]31992153;“Your comment here…”[/]
[]31992159;“Your comment here…”[/]
[]31992168;“Your comment here…”[/]

Je te recommande de tester avec la dernière Nightly Build 4D v17.3 build 17.242526 64-bit

Chez moi ça fonctionne en mode interprété et compilé avec 4DIC.

voici la mini base de test qui lance une commande 4DIC au startup, que j’ai utilisé pour mes tests.

https://forums.4d.com/4DBB_Main/x_User/464/files/31993118.zip

Je viens d’essayer avec la v17.3 (242256).
Ca résout le problème du plug-in des IC mais pas celui de mes autres plug-in comme XL Plugin de Plugger Software, etc…
En plus il y a une erreur de Port alors qu’il n’y a rien d’autre de démarrer (c’est une machine virtuelle).
C’est un Gros gros problème ce système et 4D.
Faut-il abandonner le Mac, c’est du grand délire.
Bonjour les problèmes qui vont arriver avec nos client qui vont forcément cliquer sur le bouton installer Catalina…

Pascl Aubert

[]31993512;“Your comment here…”[/]
[]31993506;“Your comment here…”[/]
[]31993510;“Your comment here…”[/]
[]31993511;“Your comment here…”[/]

La galère est en marche…
Bon courage pour retrograder les postes sous Mojave :roll:

: Manuel PIQUET

Bon courage pour retrograder les postes sous Mojave :roll:

Tu as une solution opérationnelle ?

Je viens d’avoir un client qui a le cas. Je ne suis pas certain, mais j’ai cru comprendre que les modifications au niveau même du disque dur (création d’une nouvelle partition réservée pour le système en lecture seule) me font craindre qu’il faille carrément reformater le poste et repartir sur une TimeMachine (s’il y en avait une… :roll:). Cela signifie que ce n’est vraiment pas à la portée du premier venu.

Sinon installer une machine virtuelle, ou travailler en TSE ou en partage d’écran à partir d’un ancien poste, mais c’est vraiment tiré par les cheveux…

Arnaud ! ne passe pas sous Catalina… :roll:
https://www.mac4ever.com/actu/147424_quand-catalina-brique-le-mac-pro-2013Quand Catalina “brique” le Mac Pro 2013>

Oui, voilà, c’est bien l’idée que j’en avais, mission plus ou moins impossible…

: Manuel PIQUET

Arnaud ! ne passe pas sous Catalina… :roll:
Et dessus, c’est bon ?
(fit-il en haussant la voix car il était déjà dehors)

Ocatalinabellatchitchix :wink:

https://youtu.be/_dJ81pyVRuw

Tiens, Maurice ?
Toi aussi tu prends l’air au dehors ?

Un peu d’air frais ça fait toujours du bien… :wink: cette fois je sors pour de bon…

Bonjour,

Petite précision, au lancement du serveur 4D ou de 4D si un plug-in bloque, il faut ouvrir les Préférences système, Sécurité et confidentialité onglet Général, il apparaitra un message “…ouvrir quand même…”.
Cela fonctionne pour les plug-in récents mais pas pour ceux qui date d’un petit moment comme :

  • iCal.bundle
  • XL plugin.bundle
    etc

Pascal Aubert

: Eric TROTTA
: Manuel PIQUET

Bon courage pour retrograder les postes sous Mojave :roll:

Tu as une solution opérationnelle ?

Voici un lien (en anglais) qui explique comment retrograder un poste de Catalina vers un OS plus ancien.
https://blog.macsales.com/54622-how-to-downgrade-from-macos-catalina-to-mojave-or-earlier/?utm_source=xlr8yourmac&APC=XLR8YourMac13

Comme on le pensait, c’est pas vraiment simple… :roll:

: Manuel PIQUET

Voici un lien (en anglais) qui explique comment retrograder un poste
de Catalina vers un OS plus ancien.
<https://blog.macsales.com/54622-how-to-downgrade-from-macos-catalina-
o-mojave-or-earlier/?utm_source=xlr8yourmac&APC=XLR8YourMac13>

Comme on le pensait, c’est pas vraiment simple… :roll:

Effectivement…

Merci